org.apache.solr.client.solrj

## Class SolrRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractUpdateRequest, CollectionAdminRequest, CoreAdminRequest, DirectXmlRequest, DocumentAnalysisRequest, FieldAnalysisRequest, LukeRequest, QueryRequest, SolrPing

    public abstract class SolrRequest
    extends Object
    implements Serializable

Since:
  solr 1.3
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SolrRequest.METHOD`

### Constructor Summary

Constructors
Constructor and Description
`SolrRequest(SolrRequest.METHOD m, String path)`

### Method Summary

Methods
`abstract Collection<ContentStream>` `getContentStreams()`
`SolrRequest.METHOD` `getMethod()`
`abstract SolrParams` `getParams()`
`String` `getPath()`
`ResponseParser` `getResponseParser()`
`StreamingResponseCallback` `getStreamingResponseCallback()`
`abstract SolrResponse` `process(SolrServer server)`
`void` `setMethod(SolrRequest.METHOD method)`
`void` `setPath(String path)`
`void` `setResponseParser(ResponseParser responseParser)` Optionally specify how the Response should be parsed.
`void` `setStreamingResponseCallback(StreamingResponseCallback callback)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrRequest

    public SolrRequest(SolrRequest.METHOD m,
               String path)

### Method Detail

#### getMethod

    public SolrRequest.METHOD getMethod()

#### setMethod

    public void setMethod(SolrRequest.METHOD method)

#### getPath

    public String getPath()

#### setPath

    public void setPath(String path)

#### getResponseParser

    public ResponseParser getResponseParser()

Returns:
  The `ResponseParser`

#### setResponseParser

    public void setResponseParser(ResponseParser responseParser)

Optionally specify how the Response should be parsed. Not all server implementations require a ResponseParser to be specified.

Parameters:
  `responseParser` - The `ResponseParser`

#### getStreamingResponseCallback

    public StreamingResponseCallback getStreamingResponseCallback()

#### setStreamingResponseCallback

    public void setStreamingResponseCallback(StreamingResponseCallback callback)

#### getParams

    public abstract SolrParams getParams()

#### getContentStreams

    public abstract Collection<ContentStream> getContentStreams()
                                                         throws IOException

Throws:
  `IOException`

#### process

    public abstract SolrResponse process(SolrServer server)
                                  throws SolrServerException,
                                         IOException

Throws:
  `SolrServerException`
  `IOException`